@import "../../../../../styles/global/var";
@import "../../../../../styles/global/var-pages";

integration-config-intro {
    display: block;
}
.integration-config-intro {
    background-color: $white;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.08), 0 3px 4px rgba(0, 0, 0, 0.05), 0 1px 8px rgba(0, 0, 0, 0.14);
    padding: 40px;

    &__content {
        display: flex;
        margin: 0 -24px;
    }

    &__slider {
        flex: 0 0 60%;
        padding: 0 24px;
        max-width: 60%;

        zeb-simple-slider {
            height: 100%;
            display: flex;
            align-items: center;
        }
    }

    &__description {
        flex: 0 0 40%;
        padding: 0 24px;

        &-header {
            margin-bottom: 24px;
            display: flex;
        }
        &-text {
            font-size: 14px;
            line-height: 24px;
        }
        &-paragraph + &-paragraph {
            margin-top: 8px;
            margin-bottom: 0;
        }
        ._warning > &-paragraph {
            color: $orange-new;
        }
    }

    &__provider {
        &-logo {
            width: 40px;
            height: 40px;
            margin-right: 24px;
            margin-left: 0;
            flex: none;
        }
        &-name {
            font-weight: 700;
            font-size: 32px;
            line-height: 40px;
            color: $black;
        }
    }

    &__documentation {
        &-link {
            display: flex;
            align-items: center;
            line-height: 14px;
            &-wrapper {
                margin-top: 8px;
            }
            &-icon.material-icons {
                color: currentColor;
                font-size: 14px;
                height: 14px;
                width: 14px;
                min-height: 14px;
                min-width: 14px;
                margin-left: 4px;
            }
        }
    }

    &__create {
        &-account {
            margin-top: 24px;

            &-text {
                font-size: 14px;
                line-height: 24px;
                color: $gray8be;
                display: inline-block;
                vertical-align: middle;
            }
            &-link {
                color: $gray57c;
                font-weight: 500;
                font-size: 14px;
                line-height: 24px;
                display: inline-block;
                vertical-align: middle;
                margin-left: 8px;
            }
        }
    }

    @media screen and (max-width: 1279px) {
        &__content {
            flex-direction: column;
        }
        &__slider {
            margin-top: 32px;
        }
        &__description,
        &__slider {
            flex-basis: 100%;
            max-width: 100%;
        }
    }

    @media screen and (max-width: $md-screen-phone) {
        padding: 24px 16px;
        box-shadow: none;
        margin: 0 -#{$page-padding-right-left-mobile};

        &__description {
            &-header {
                margin-bottom: 16px;
            }
        }

        &__provider {
            &-logo {
                width: 32px;
                height: 32px;
                margin-right: 16px;
            }
            &-name {
                font-size: 24px;
                line-height: 32px;
            }
        }
    }
}
